###############################################################################
# Copyright (c) 2003 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Common Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/cpl-v10.html
# 
# Contributors:
#     IBM Corporation - initial API and implementation
###############################################################################

# Plugin
pluginName   = Hyades Common Model
providerName = Eclipse.org


# Enumeration: TPFVerdict
org.eclipse.hyades.models.common.testprofile.TPFVerdict.inconclusive                       = inconclusive
org.eclipse.hyades.models.common.testprofile.TPFVerdict.pass                               = pass
org.eclipse.hyades.models.common.testprofile.TPFVerdict.fail                               = fail
org.eclipse.hyades.models.common.testprofile.TPFVerdict.error                              = error


# Enumeration: TPFExecutionType
org.eclipse.hyades.models.common.testprofile.TPFExecutionType.start                        = start
org.eclipse.hyades.models.common.testprofile.TPFExecutionType.stop                         = stop


# Enumeration: TPFSeverity
org.eclipse.hyades.models.common.testprofile.TPFSeverity.info                              = information
org.eclipse.hyades.models.common.testprofile.TPFSeverity.error                             = error
org.eclipse.hyades.models.common.testprofile.TPFSeverity.warning                           = warning


# Enumeration: TPFVerdictReason
org.eclipse.hyades.models.common.testprofile.TPFVerdictReason.unknown                      = unknown
org.eclipse.hyades.models.common.testprofile.TPFVerdictReason.none                         = none
org.eclipse.hyades.models.common.testprofile.TPFVerdictReason.seeDescription               = see description
org.eclipse.hyades.models.common.testprofile.TPFVerdictReason.abort                        = abort
org.eclipse.hyades.models.common.testprofile.TPFVerdictReason.didNotComplete               = did not complete


# Enumeration: TPFInvocationStatus
org.eclipse.hyades.models.common.testprofile.TPFInvocationStatus.unattempted               = unattempted
org.eclipse.hyades.models.common.testprofile.TPFInvocationStatus.successful                = successful
org.eclipse.hyades.models.common.testprofile.TPFInvocationStatus.unsuccessful              = unsuccessful


# Enumeration: TPFInvocationReason
org.eclipse.hyades.models.common.testprofile.TPFInvocationReason.unknown                   = unknown
org.eclipse.hyades.models.common.testprofile.TPFInvocationReason.none                      = none
org.eclipse.hyades.models.common.testprofile.TPFInvocationReason.seeDescription            = see description
org.eclipse.hyades.models.common.testprofile.TPFInvocationReason.preconditionNotMet        = precondition not met
org.eclipse.hyades.models.common.testprofile.TPFInvocationReason.noMatchingConfiguration   = no matching configuration
org.eclipse.hyades.models.common.testprofile.TPFInvocationReason.noBehavior                = no behavior
org.eclipse.hyades.models.common.testprofile.TPFInvocationReason.didNotStart               = did not start


# Enumeration: CFGConcurrency
org.eclipse.hyades.models.common.configuration.CFGConcurrency.thread                       = thread
org.eclipse.hyades.models.common.configuration.CFGConcurrency.process                      = process
org.eclipse.hyades.models.common.configuration.CFGConcurrency.none                         = none


# Enumeration: BVRInteractionOperator
org.eclipse.hyades.models.common.fragments.BVRInteractionOperator.alt                      = alternative
org.eclipse.hyades.models.common.fragments.BVRInteractionOperator.opt                      = optional
org.eclipse.hyades.models.common.fragments.BVRInteractionOperator.par                      = parallel
org.eclipse.hyades.models.common.fragments.BVRInteractionOperator.loop                     = loop
org.eclipse.hyades.models.common.fragments.BVRInteractionOperator.neg                      = negative


# Enumeration: BVRMessageSort
org.eclipse.hyades.models.common.interactions.BVRMessageSort.synchCall                     = synchronous call
org.eclipse.hyades.models.common.interactions.BVRMessageSort.synchSignal                   = synchronous signal
org.eclipse.hyades.models.common.interactions.BVRMessageSort.asynchCall                    = asynchronous call
org.eclipse.hyades.models.common.interactions.BVRMessageSort.asynchSignal                  = asynchronous signal

# Extension Points

EP_CATEGORY_EXTENSIONS				= categories
EP_CATEGORY_ENUMERATION_EXTENSIONS	= categoryEnumerations

# Categories

DB_VER 					= DB_VER
DB_VER_DISP_NAME		= Database Version
DB 						= DB
DB_DISP_NAME			= Database
DISP_DEPTH				= DISP_DEPTH
DISP_DEPTH_DISP_NAME	= Display Color Depth (Bits)
DISP_HEIGHT 			= DISP_HEIGHT
DISP_HEIGHT_DISP_NAME	= Display Height (Pixels)
DISP_WIDTH				= DISP_WIDTH
DISP_WIDTH_DISP_NAME	= Display  Width (Pixels)
DISP_NUM				= DISP_NUM
DISP_NUM_DISP_NAME		= Number of Displays
SVC_PAC					= SVC_PAC
SVC_PAC_DISP_NAME		= Service Pack
WBR_TYPE				= WBR_TYPE
WBR_TYPE_DISP_NAME		= Web Browser Type
WBR_VER					= WBR_VER
WBR_VER_DISP_NAME		= Web Browswer Version
HNAME					= HNAME
HNAME_DISP_NAME			= Hostname
WIN_DOM					= WIN_DOM
WIN_DOM_DISP_NAME		= Windows Domain
USR_NAME				= USR_NAME
USR_NAME_DISP_NAME		= Username
MIN_VER					= MIN_VER
MIN_VER_DISP_NAME		= Minor Version Number
MAJ_VER					= MAJ_VER
MAJ_VER_DISP_NAME		= Major Version Number
OS						= OS
OS_DISP_NAME			= Operating System
MEM_SZ					= MEM_SZ
MEM_SZ_DISP_NAME		= Memory Size (MB)
PROC_TYPE				= PROC_TYPE
PROC_TYPE_DISP_NAME		= Processor Type
PROC_SPD				= PROC_SPD
PROC_SPD_DISP_NAME		= Processor Speed
PROC_NUM				= PROC_NUM
PROC_NUM_DISP_NAME		= Processor Number
PASSWD					= PASSWD
PASSWD_DISP_NAME		= Password








